<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:07 CET 2009 -->
<TITLE>
DefaultPartitionedMatFileWriter
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.metabolic.efm.output.mat.DefaultPartitionedMatFileWriter class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="DefaultPartitionedMatFileWriter";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultPartitionedMatFileWriter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatFileOutputCallback.html" title="class in ch.javasoft.metabolic.efm.output.mat"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?ch/javasoft/metabolic/efm/output/mat/DefaultPartitionedMatFileWriter.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultPartitionedMatFileWriter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.metabolic.efm.output.mat</FONT>
<BR>
Class DefaultPartitionedMatFileWriter</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.metabolic.efm.output.mat.DefaultPartitionedMatFileWriter</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/PartitionedMatFileWriter.html" title="interface in ch.javasoft.metabolic.efm.output.mat">PartitionedMatFileWriter</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/output/mat/DefaultPartitionedMatFileWriter.html#line.44"><B>DefaultPartitionedMatFileWriter</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/PartitionedMatFileWriter.html" title="interface in ch.javasoft.metabolic.efm.output.mat">PartitionedMatFileWriter</A></DL>
</PRE>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/DefaultPartitionedMatFileWriter.html#DefaultPartitionedMatFileWriter(java.io.File, java.lang.String, long)">DefaultPartitionedMatFileWriter</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;folder,
                                                               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;fileName,
                                                               long&nbsp;maxEfmCountPerPart)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/DefaultPartitionedMatFileWriter.html#DefaultPartitionedMatFileWriter(java.io.File, java.lang.String, java.lang.String, long)">DefaultPartitionedMatFileWriter</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;folder,
                                                               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;fileName,
                                                               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;fileEnding,
                                                               long&nbsp;maxEfmCountPerPart)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/DefaultPartitionedMatFileWriter.html#close(ch.javasoft.metabolic.efm.output.EfmOutputCallback, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long, ch.javasoft.metabolic.efm.output.EfmProcessor)">close</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputCallback</A>&nbsp;cb,
           <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputEvent.html" title="class in ch.javasoft.metabolic.efm.output">EfmOutputEvent</A>&nbsp;evt,
           long&nbsp;efmCount,
           <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmProcessor.html" title="interface in ch.javasoft.metabolic.efm.output">EfmProcessor</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatFileWriter.html" title="class in ch.javasoft.metabolic.efm.output.mat">MatFileWriter</A>&gt;&nbsp;efmProcessor)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the <tt>MatFileWriter</tt> for the current part.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/DefaultPartitionedMatFileWriter.html#getEfmCountForPart(ch.javasoft.metabolic.efm.output.EfmOutputCallback, ch.javasoft.metabolic.efm.output.EfmOutputEvent, int)">getEfmCountForPart</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputCallback</A>&nbsp;cb,
                                     <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputEvent.html" title="class in ch.javasoft.metabolic.efm.output">EfmOutputEvent</A>&nbsp;evt,
                                     int&nbsp;partIndex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatFileWriter.html" title="class in ch.javasoft.metabolic.efm.output.mat">MatFileWriter</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/DefaultPartitionedMatFileWriter.html#getPartMatFileWriter(ch.javasoft.metabolic.efm.output.EfmOutputCallback, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long, ch.javasoft.metabolic.MetabolicNetwork, ch.javasoft.metabolic.efm.output.EfmProcessor)">getPartMatFileWriter</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputCallback</A>&nbsp;cb,
                                         <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputEvent.html" title="class in ch.javasoft.metabolic.efm.output">EfmOutputEvent</A>&nbsp;evt,
                                         long&nbsp;efmIndex,
                                         <A HREF="../../../../../../ch/javasoft/metabolic/MetabolicNetwork.html" title="interface in ch.javasoft.metabolic">MetabolicNetwork</A>&nbsp;originalNetwork,
                                         <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmProcessor.html" title="interface in ch.javasoft.metabolic.efm.output">EfmProcessor</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatFileWriter.html" title="class in ch.javasoft.metabolic.efm.output.mat">MatFileWriter</A>&gt;&nbsp;efmProcessor)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the <tt>MatFileWriter</tt> for the current part.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="DefaultPartitionedMatFileWriter(java.io.File, java.lang.String, long)"><!-- --></A><H3>
DefaultPartitionedMatFileWriter</H3>
<PRE>
public <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/output/mat/DefaultPartitionedMatFileWriter.html#line.54"><B>DefaultPartitionedMatFileWriter</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;folder,
                                       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;fileName,
                                       long&nbsp;maxEfmCountPerPart)</PRE>
<DL>
</DL>
<HR>

<A NAME="DefaultPartitionedMatFileWriter(java.io.File, java.lang.String, java.lang.String, long)"><!-- --></A><H3>
DefaultPartitionedMatFileWriter</H3>
<PRE>
public <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/output/mat/DefaultPartitionedMatFileWriter.html#line.57"><B>DefaultPartitionedMatFileWriter</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/File.html" title="class or interface in java.io">File</A>&nbsp;folder,
                                       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;fileName,
                                       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;fileEnding,
                                       long&nbsp;maxEfmCountPerPart)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getEfmCountForPart(ch.javasoft.metabolic.efm.output.EfmOutputCallback, ch.javasoft.metabolic.efm.output.EfmOutputEvent, int)"><!-- --></A><H3>
getEfmCountForPart</H3>
<PRE>
public long <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/output/mat/DefaultPartitionedMatFileWriter.html#line.64"><B>getEfmCountForPart</B></A>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputCallback</A>&nbsp;cb,
                               <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputEvent.html" title="class in ch.javasoft.metabolic.efm.output">EfmOutputEvent</A>&nbsp;evt,
                               int&nbsp;partIndex)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getPartMatFileWriter(ch.javasoft.metabolic.efm.output.EfmOutputCallback, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long, ch.javasoft.metabolic.MetabolicNetwork, ch.javasoft.metabolic.efm.output.EfmProcessor)"><!-- --></A><H3>
getPartMatFileWriter</H3>
<PRE>
public <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatFileWriter.html" title="class in ch.javasoft.metabolic.efm.output.mat">MatFileWriter</A> <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/output/mat/DefaultPartitionedMatFileWriter.html#line.71"><B>getPartMatFileWriter</B></A>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputCallback</A>&nbsp;cb,
                                          <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputEvent.html" title="class in ch.javasoft.metabolic.efm.output">EfmOutputEvent</A>&nbsp;evt,
                                          long&nbsp;efmIndex,
                                          <A HREF="../../../../../../ch/javasoft/metabolic/MetabolicNetwork.html" title="interface in ch.javasoft.metabolic">MetabolicNetwork</A>&nbsp;originalNetwork,
                                          <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmProcessor.html" title="interface in ch.javasoft.metabolic.efm.output">EfmProcessor</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatFileWriter.html" title="class in ch.javasoft.metabolic.efm.output.mat">MatFileWriter</A>&gt;&nbsp;efmProcessor)
                                   throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/PartitionedMatFileWriter.html#getPartMatFileWriter(ch.javasoft.metabolic.efm.output.EfmOutputCallback, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long, ch.javasoft.metabolic.MetabolicNetwork, ch.javasoft.metabolic.efm.output.EfmProcessor)">PartitionedMatFileWriter</A></CODE></B></DD>
<DD>Returns the <tt>MatFileWriter</tt> for the current part. The current part
 is determined by the efm index. If needed, a new part writer is created.
 <p>
 If <tt>efmProcessor</tt> is not null, it is initialized and finalized, 
 that is,
 <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmProcessor.html#initialize(ch.javasoft.metabolic.efm.output.EfmOutputCallback, W, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long)"><CODE>EfmProcessor.initialize(EfmOutputCallback, Object, EfmOutputEvent, long)</CODE></A>
 and
 <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmProcessor.html#finalize(ch.javasoft.metabolic.efm.output.EfmOutputCallback, W, ch.javasoft.metabolic.efm.output.EfmOutputEvent)"><CODE>EfmProcessor.finalize(EfmOutputCallback, Object, EfmOutputEvent)</CODE></A>
 are called.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/PartitionedMatFileWriter.html#getPartMatFileWriter(ch.javasoft.metabolic.efm.output.EfmOutputCallback, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long, ch.javasoft.metabolic.MetabolicNetwork, ch.javasoft.metabolic.efm.output.EfmProcessor)">getPartMatFileWriter</A></CODE> in interface <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/PartitionedMatFileWriter.html" title="interface in ch.javasoft.metabolic.efm.output.mat">PartitionedMatFileWriter</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>cb</CODE> - the efm output callback<DD><CODE>evt</CODE> - the output event<DD><CODE>efmIndex</CODE> - the efm index, for header 0, for footer total number
                                                of elementary modes<DD><CODE>originalNetwork</CODE> - the original (uncompressed) network<DD><CODE>efmProcessor</CODE> - the efm processor which must probably be initialized
                                                or finalized (may be null)
<DT><B>Returns:</B><DD>the writer for the specified part
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE> - if any io exception occurred</DL>
</DD>
</DL>
<HR>

<A NAME="close(ch.javasoft.metabolic.efm.output.EfmOutputCallback, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long, ch.javasoft.metabolic.efm.output.EfmProcessor)"><!-- --></A><H3>
close</H3>
<PRE>
public void <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/output/mat/DefaultPartitionedMatFileWriter.html#line.84"><B>close</B></A>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputCallback</A>&nbsp;cb,
                  <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmOutputEvent.html" title="class in ch.javasoft.metabolic.efm.output">EfmOutputEvent</A>&nbsp;evt,
                  long&nbsp;efmCount,
                  <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmProcessor.html" title="interface in ch.javasoft.metabolic.efm.output">EfmProcessor</A>&lt;<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatFileWriter.html" title="class in ch.javasoft.metabolic.efm.output.mat">MatFileWriter</A>&gt;&nbsp;efmProcessor)
           throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/PartitionedMatFileWriter.html#close(ch.javasoft.metabolic.efm.output.EfmOutputCallback, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long, ch.javasoft.metabolic.efm.output.EfmProcessor)">PartitionedMatFileWriter</A></CODE></B></DD>
<DD>Returns the <tt>MatFileWriter</tt> for the current part. The current part
 is determined by the efm index. If needed, a new part writer is created.
 <p>
 If <tt>efmProcessor</tt> is not null, it is initialized and finalized, 
 that is,
 <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmProcessor.html#initialize(ch.javasoft.metabolic.efm.output.EfmOutputCallback, W, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long)"><CODE>EfmProcessor.initialize(EfmOutputCallback, Object, EfmOutputEvent, long)</CODE></A>
 and
 <A HREF="../../../../../../ch/javasoft/metabolic/efm/output/EfmProcessor.html#finalize(ch.javasoft.metabolic.efm.output.EfmOutputCallback, W, ch.javasoft.metabolic.efm.output.EfmOutputEvent)"><CODE>EfmProcessor.finalize(EfmOutputCallback, Object, EfmOutputEvent)</CODE></A>
 are called.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/PartitionedMatFileWriter.html#close(ch.javasoft.metabolic.efm.output.EfmOutputCallback, ch.javasoft.metabolic.efm.output.EfmOutputEvent, long, ch.javasoft.metabolic.efm.output.EfmProcessor)">close</A></CODE> in interface <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/PartitionedMatFileWriter.html" title="interface in ch.javasoft.metabolic.efm.output.mat">PartitionedMatFileWriter</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>cb</CODE> - the efm output callback<DD><CODE>evt</CODE> - the output event<DD><CODE>efmCount</CODE> - the total number of efms<DD><CODE>efmProcessor</CODE> - the efm processor which must probably be finalized 
                                                (may be null)
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE> - if any io exception occurred</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultPartitionedMatFileWriter.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/output/mat/MatFileOutputCallback.html" title="class in ch.javasoft.metabolic.efm.output.mat"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?ch/javasoft/metabolic/efm/output/mat/DefaultPartitionedMatFileWriter.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultPartitionedMatFileWriter.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
